PAYU_CONFIGS = {
    'test': 'https://test.payu.in/_payment',
    'live': 'https://secure.payu.in/_payment',
    "api_live": "https://info.payu.in/merchant/postservice?form=2",
    "api_test": "https://test.payu.in/merchant/postservice.php?form=2",
    'transaction': ['amount', 'productinfo', 'firstname', 'email'],
    'error_codes': {
        "E000": "NO_ERROR",
        "E201": "BRAND_INVALID",
        "E202": "TRANSACTION_INVALID",
        "E205": "CURL_ERROR_ENROLLED",
        "E206": "CUTOFF_ERROR",
        "E207": "INVALID_TRANSACTION_TYPE",
        "E208": "BANK_SERVER_ERROR",
        "E209": "NO_BANK_RESPONSE",
        "E210": "COMMUNICATION_ERROR",
        "E211": "NETWORK_ERROR",
        "E214": "CURL_CALL_FAILURE",
        "E216": "BATCH_ERROR",
        "E217": "TRANPORTAL_ID_ERROR",
        "E218": "CARD_ISSUER_TIMED_OUT",
        "E219": "INCOMPLETE_BANK_RESPONSE",
        "E300": "SECURE_3D_PASSWORD_ERROR",
        "E301": "SECURE_3D_INCORRECT",
        "E302": "SECURE_3D_CANCELLED",
        "E303": "AUTHENTICATION_ERROR",
        '100': "SUCCESS	Refund Successful",
        '101': "PENDING	Refund Successful",
        '102':	"QUEUED	Refund Queued",
        '103':	"REJECT	Request rejected on reconfirmation",
        '104':	"RECONFIRM	Confirmation Required",
        '105':	"FAILURE Invalid Amount",
        '106':	"FAILURE Token already exists",
        '107':	"FAILURE Upgraded to refund, //only in case of Citi cancel failure",
        '108':	"FAILURE",
        '109':	"FAILURE	The request is already logged",
        '110':	"FAILURE	More than one partial refund of Maestro transactions are not allowed",
        '111':	"FAILURE	Invalid transaction status",
        '113':	"FAILURE	Invalid Amount – Chargeback of amount 20.00 present, the remaining refundable amount is 50.00",
        '115':	"FAILURE	Invalid status to be uploaded",
        '116':	"FAILURE	Transaction not found",
        '117':	"FAILURE	The amount does not match",
        '119':	"FAILURE	No such Request Found",
        '120':	"FAILURE	Transaction lock could not be obtained",
        '123':	"FAILURE	The request set as pending – requires manual follow-up",
        '126':	"IN_PROGRESS	IN_PROGRESS",
        '127':	"REQUESTED	REQUESTED",
        '214':	"FAILURE	Same amount same transaction within 5 minutes",
        '225':	"PENDING	Overdraft has occurred. Kindly recheck the status tomorrow",
        '226':	"PENDING	Capture has been initiated today. Please check for refund status tomorrow",
        '227':	"FAILURE	Transactions with the same amount and same token are not allowed",
        '230':	"FAILURE	FAILURE – Purged Transaction. Refund request requires manual follow-up",
        '231':	"FAILURE	Hold settlement",
        '232':	"FAILURE	FAILURE – Refund could not be initiated. Either refunds are not supported or need manualintervention",
        '233':	"FAILURE	BLOCKED – Refund/Cancel Blocked From Merchant Panel. Contact KM.",
        '234':	"FAILURE	BLOCKED – Refund/Cancel Blocked From Merchant Panel And API. Contact KM.",
        '235':	"FAILURE	BLOCKED – Refund/Cancel Blocked. Contact KM.",
        '236':	"FAILURE	STATUS_REFUND_NOT_POSSIBLE",
        '237':	"FAILURE	Validation Failure for {key_name}. Special Characters Not Allowed",
        '238':	"FAILURE	Validation Failure for {key_name}. Mandatory Field.",
        '239':	"FAILURE	API-based alternate instant refunds not activated.",
        '250':	"FAILURE	FAILURE – Refund Failed On Uploading Successful Chargeback",
        '251':	"FAILURE	Refund Blocked for this PGMID by Bank",
        '301':	"FAILURE	FAILURE – Capture already successful for this transaction",
        '302':	"FAILURE	FAILURE – Please try after some time",
        '303':	"FAILURE	FAILURE – Amount greater than the maximum capturable amount",
        '304':	"FAILURE	FAILURE – Amount less than allowed",
        '305':	"FAILURE	FAILURE – Amount more than allowed",
        '306':	"FAILURE	FAILURE – Invalid amount tolerance configuration",
        '424':	"FAILURE	FAILURE – Transaction upgraded to capture/refund.",
        '500':	"FAILURE	Some Exception Occurred",
        '501':	"FAILURE	Successfully Updated,//used in case of updating refunds thru file",
        '502':	"FAILURE	Failed to update"
    },
    "payment_modes": {
        "NB": "Net Banking",
        "CC": "Credit Card",
        "DC": "Debit Card",
        "CASH": "Card Cash or Wallet",
        "UPI": "UPI",
        "EMI": "EMI",
        "NEFTRTGS": "EFTNET (NEFT/RTGS)",
        "PAYTM": "PayTM",
        "FREC": "Freecharge",
        "AMZPAY": "Amazon Pay",
        "AMON": "Airtel Money",
        "OXYCASH": "Oxigen",
        "OLAM": "Ola Money",
        "JIOM": "Jio Money",
        "ITZC": "ItzCash",
        "PAYZ": "HDFC PayZapp",
        "YESW": "Yes Bank",
        "mobikwik": "MobiKwik"
    },

    "refund_mapping": {
        "var1": "payment_id",
        "var2": "refund_id",
        "var3": "amount",
        "var5": "callback_url",
        "var6": "instant_refund"
    }

}
